Index: doc/latex/classEKF__unQ__inherit__graph.eps
===================================================================
--- doc/latex/classEKF__unQ__inherit__graph.eps (revision 255)
+++ doc/latex/classEKF__unQ__inherit__graph.eps (revision 261)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 248 378
+%%PageBoundingBox: 36 36 247 438
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 212 342 boxprim clip newpath
+36 36 211 402 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 90 0 moveto
-90 21 lineto
-148 21 lineto
-148 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 90 0 moveto
-90 21 lineto
-148 21 lineto
-148 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-98 7.5 moveto 42 (EKF_unQ) alignedtext
+newpath 76 0 moveto
+76 21 lineto
+134 21 lineto
+134 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 76 0 moveto
+76 21 lineto
+134 21 lineto
+134 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+84 7.5 moveto 42 (EKF_unQ) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 30 61 104 81 ]
+[ /Rect [ 29 61 103 81 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1EKFCh.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 30 60 moveto
-30 81 lineto
-104 81 lineto
-104 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 30 60 moveto
-30 81 lineto
-104 81 lineto
-104 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-38 67.5 moveto 58 (bdm::EKFCh) alignedtext
+newpath 29 60 moveto
+29 81 lineto
+103 81 lineto
+103 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 29 60 moveto
+29 81 lineto
+103 81 lineto
+103 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+37 67.5 moveto 58 (bdm::EKFCh) alignedtext
 grestore
 % Node2->Node1
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 72 51 moveto
-79 41 90 29 100 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 68.63 49.74 moveto
-66 60 lineto
-74.46 53.62 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 68.63 49.74 moveto
-66 60 lineto
-74.46 53.62 lineto
+newpath 66 51 moveto
+71 41 80 29 88 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.86 49.44 moveto
+62 60 lineto
+69.26 52.28 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.86 49.44 moveto
+62 60 lineto
+69.26 52.28 lineto
 closepath stroke
 grestore
@@ -257,18 +257,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 94 53 moveto
-105 43 116 30 121 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 91.6 50.45 moveto
-87 60 lineto
-96.55 55.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 91.6 50.45 moveto
-87 60 lineto
-96.55 55.4 lineto
+newpath 91 52 moveto
+99 42 107 30 109 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 87.95 50.17 moveto
+84 60 lineto
+93.22 54.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 87.95 50.17 moveto
+84 60 lineto
+93.22 54.78 lineto
 closepath stroke
 grestore
@@ -278,18 +278,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 84 52 moveto
-93 42 103 30 110 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 80.95 50.17 moveto
-77 60 lineto
-86.22 54.78 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 80.95 50.17 moveto
-77 60 lineto
-86.22 54.78 lineto
+newpath 78 51 moveto
+85 41 93 29 98 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 74.8 49.56 moveto
+73 60 lineto
+80.92 52.96 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 74.8 49.56 moveto
+73 60 lineto
+80.92 52.96 lineto
 closepath stroke
 grestore
@@ -325,5 +325,5 @@
 0.667 0.776 0.439 edgecolor
 newpath 66 110 moveto
-66 100 66 89 67 81 curveto
+66 100 66 89 66 81 curveto
 stroke
 0.667 0.776 0.439 edgecolor
@@ -388,5 +388,5 @@
 % Node5
 gsave
-[ /Rect [ 49 313 107 333 ]
+[ /Rect [ 43 313 101 333 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1BM.html) >>
@@ -394,20 +394,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 49 312 moveto
-49 333 lineto
-108 333 lineto
-108 312 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 49 312 moveto
-49 333 lineto
-108 333 lineto
-108 312 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-56.5 319.5 moveto 43 (bdm::BM) alignedtext
+newpath 43 312 moveto
+43 333 lineto
+102 333 lineto
+102 312 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 43 312 moveto
+43 333 lineto
+102 333 lineto
+102 312 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+50.5 319.5 moveto 43 (bdm::BM) alignedtext
 grestore
 % Node5->Node4
@@ -416,24 +416,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 74 302 moveto
-72 293 70 283 69 274 curveto
-66 248 66 217 66 201 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 70.61 302.88 moveto
-76 312 lineto
-77.47 301.51 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 70.61 302.88 moveto
-76 312 lineto
-77.47 301.51 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 78 253 202 273 ]
+newpath 36 307 moveto
+22 299 8 288 1 274 curveto
+-14 245 24 216 48 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 34.56 310.2 moveto
+45 312 lineto
+37.96 304.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 34.56 310.2 moveto
+45 312 lineto
+37.96 304.08 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 10 253 134 273 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1Kalman.html) >>
@@ -441,69 +441,91 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 78 252 moveto
-78 273 lineto
-202 273 lineto
-202 252 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 78 252 moveto
-78 273 lineto
-202 273 lineto
-202 252 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-86 259.5 moveto 108 (bdm::Kalman< sq_T >) alignedtext
-grestore
-% Node5->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 97 305 moveto
-107 295 120 282 129 273 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 94.22 302.78 moveto
-89 312 lineto
-98.83 308.05 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 94.22 302.78 moveto
-89 312 lineto
-98.83 308.05 lineto
-closepath stroke
-grestore
-% Node6->Node4
-gsave
-1 setlinewidth
-dashed
-0.106 1.000 1.000 edgecolor
-newpath 121 245 moveto
-107 231 88 213 76 201 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 118.45 247.4 moveto
-128 252 lineto
-123.4 242.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 118.45 247.4 moveto
-128 252 lineto
-123.4 242.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-111.5 224.5 moveto 53 (< chmat >) alignedtext
-grestore
-% Node7
-gsave
-[ /Rect [ 122 61 204 81 ]
+newpath 10 252 moveto
+10 273 lineto
+134 273 lineto
+134 252 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 10 252 moveto
+10 273 lineto
+134 273 lineto
+134 252 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+18 259.5 moveto 108 (bdm::Kalman< sq_T >) alignedtext
+grestore
+% Node5->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72 302 moveto
+72 292 72 281 72 273 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 68.5 302 moveto
+72 312 lineto
+75.5 302 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68.5 302 moveto
+72 312 lineto
+75.5 302 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 91 373 175 393 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 91 372 moveto
+91 393 lineto
+176 393 lineto
+176 372 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 91 372 moveto
+91 393 lineto
+176 393 lineto
+176 372 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+98.5 379.5 moveto 69 (bdm::bdmroot) alignedtext
+grestore
+% Node6->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114 365 moveto
+104 355 91 342 82 333 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 112.17 368.05 moveto
+122 372 lineto
+116.78 362.78 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 112.17 368.05 moveto
+122 372 lineto
+116.78 362.78 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 121 61 203 81 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1BMcond.html) >>
@@ -511,128 +533,129 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 122 60 moveto
-122 81 lineto
-204 81 lineto
-204 60 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 122 60 moveto
-122 81 lineto
-204 81 lineto
-204 60 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-130 67.5 moveto 66 (bdm::BMcond) alignedtext
-grestore
-% Node7->Node1
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 137 53 moveto
-127 42 119 30 116 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 134.45 55.4 moveto
-144 60 lineto
-139.4 50.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.45 55.4 moveto
-144 60 lineto
-139.4 50.45 lineto
-closepath stroke
-grestore
-% Node7->Node1
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 149 52 moveto
-141 42 132 30 126 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.2 54.1 moveto
-155 60 lineto
-151.8 49.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.2 54.1 moveto
-155 60 lineto
-151.8 49.9 lineto
-closepath stroke
-grestore
-% Node7->Node1
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161 51 moveto
-156 41 146 29 137 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 158.08 52.96 moveto
-166 60 lineto
-164.2 49.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158.08 52.96 moveto
-166 60 lineto
-164.2 49.56 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 130 121 196 141 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1base.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 130 120 moveto
-130 141 lineto
-197 141 lineto
-197 120 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 130 120 moveto
-130 141 lineto
-197 141 lineto
-197 120 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-137.5 127.5 moveto 51 (bdm::base) alignedtext
-grestore
-% Node8->Node7
-gsave
-1 setlinewidth
-solid
-0.000 0.812 0.545 edgecolor
-newpath 163 110 moveto
-163 100 163 89 163 81 curveto
-stroke
-0.000 0.812 0.545 edgecolor
-newpath 159.5 110 moveto
-163 120 lineto
-166.5 110 lineto
-closepath fill
-1 setlinewidth
-solid
-0.000 0.812 0.545 edgecolor
-newpath 159.5 110 moveto
-163 120 lineto
-166.5 110 lineto
+newpath 121 60 moveto
+121 81 lineto
+203 81 lineto
+203 60 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 121 60 moveto
+121 81 lineto
+203 81 lineto
+203 60 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+129 67.5 moveto 66 (bdm::BMcond) alignedtext
+grestore
+% Node6->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 148 364 moveto
+155 352 162 337 162 323 curveto
+162 323 162 323 162 131 curveto
+162 113 162 93 162 81 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 145.2 361.9 moveto
+142 372 lineto
+150.8 366.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 145.2 361.9 moveto
+142 372 lineto
+150.8 366.1 lineto
+closepath stroke
+grestore
+% Node7->Node4
+gsave
+1 setlinewidth
+dashed
+0.106 1.000 1.000 edgecolor
+newpath 70 242 moveto
+69 228 68 212 67 201 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 66.52 242.4 moveto
+71 252 lineto
+73.49 241.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 66.52 242.4 moveto
+71 252 lineto
+73.49 241.7 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+71.5 224.5 moveto 53 (< chmat >) alignedtext
+grestore
+% Node8->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 133 54 moveto
+121 43 109 30 104 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 130.9 56.8 moveto
+141 60 lineto
+135.1 51.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 130.9 56.8 moveto
+141 60 lineto
+135.1 51.2 lineto
+closepath stroke
+grestore
+% Node8->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 156 51 moveto
+148 41 136 29 125 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 153.54 53.62 moveto
+162 60 lineto
+159.37 49.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 153.54 53.62 moveto
+162 60 lineto
+159.37 49.74 lineto
+closepath stroke
+grestore
+% Node8->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 145 53 moveto
+135 42 123 30 115 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 142.45 55.4 moveto
+152 60 lineto
+147.4 50.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 142.45 55.4 moveto
+152 60 lineto
+147.4 50.45 lineto
 closepath stroke
 grestore
@@ -644,5 +667,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 248 378
+%%BoundingBox: 36 36 247 438
 end
 restore
